Package com.orchestranetworks.userservice

# Interface UserServiceEventContext

All Superinterfaces:
  `UIResourceLocator`, `UserServiceObjectContext`, `UserServiceObjectContextForInputValidation`, `UserServiceRequest`, `UserServiceResourceLocator`, `UserServiceTransactionManager`

public interface UserServiceEventContext extends UserServiceRequest, UserServiceObjectContextForInputValidation, UserServiceTransactionManager, UserServiceResourceLocator
This interface provides information and utility methods useful when processing an event.

Since:
  5.8.0

- ## Method Summary

  ### Methods inherited from interface com.orchestranetworks.ui.UIResourceLocator

  `createWebComponentForRootSession, createWebComponentForSubSession, getURLForAjaxComponent, getURLForAjaxComponent, getURLForPerspectiveSelection, getURLForPerspectiveSelection, getURLForResource, getURLForResource, getURLForResource, getURLForResource, getURLForResource, getURLForRest, getURLForSelection, getURLForSelection, getURLForSelection, getURLForSelection, getURLForSelection, getURLForSelection, getURLForViewSelection`

  ### Methods inherited from interface com.orchestranetworks.userservice.UserServiceObjectContext

  `getPermission, isDataDeleted`

  ### Methods inherited from interface com.orchestranetworks.userservice.UserServiceObjectContextForInputValidation

  `addError, addInfo, addMessage, addWarning, getValueContext, getValueContext`

  ### Methods inherited from interface com.orchestranetworks.userservice.UserServiceRequest

  `canClose, getCurrentPerspective, getParameter, getParameterValues, getRepository, getServiceDescription, getServiceKey, getServiceLabel, getServiceModuleName, getSession, isInitialDisplay`

  ### Methods inherited from interface com.orchestranetworks.userservice.UserServiceResourceLocator

  `getURLForAction, getURLForAction, getURLForAjaxRequest, getURLForAjaxRequest, getURLForEndingService, getURLForGetRequest, getURLForGetRequest, getURLForResource, getURLForResource, getURLForServiceSelection, getURLForServiceSelection, getURLForServiceSelection, getURLForServiceSelection, getURLForServiceSelection, getURLForServiceSelection, getURLForServiceSelection, getURLForServiceSelection, getURLForServiceSelection`

  ### Methods inherited from interface com.orchestranetworks.userservice.UserServiceTransactionManager

  `createTransaction, save, save`